<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.swzdr.mapper.RyXsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="ryXsResultMap" type="org.springblade.swzdr.pojo.entity.RyXsEntity">
        <result column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="xsnr" property="xsnr"/>
        <result column="mj_id" property="mjId"/>
        <result column="pcs_id" property="pcsId"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>

    <select id="selectRyXsPage" resultMap="ryXsResultMap">
        select * from swzdr_ry_xs where is_deleted = 0
    </select>

    <select id="exportRyXs" resultType="org.springblade.swzdr.excel.RyXsExcel">
        SELECT * FROM swzdr_ry_xs ${ew.customSqlSegment}
    </select>

</mapper>
